# Delete a page

Deletes a page.

Endpoint: DELETE /api/v1/pages/{pageId}
Version: v1
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http Bearer

## Path parameters:

  - `pageId` (string, required)
    The page identifier.

## Query parameters:

  - `environmentId` (string)
    The identifier of the environment.

## Request fields (application/json):

  - `permanently` (boolean)
    Whether the page should be permanently deleted (skipping the recycle bin).
Example value: True
    Example: true

  - `forceDelete` (boolean)
    Whether the page should be forcefully deleted (skipping the references check).
Example value: True
    Example: true

## Response 200:

  - `200` (unknown)
    Success

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

